export interface Group {
  id: number;
  name: string;
  parent_id: number | null;
  created_at: string;
  updated_at: string;
}

export interface Task {
  id: number;
  title: string;
  group_id: number;
  print_count: number;
  last_printed_at: string | null;
  created_at: string;
  updated_at: string;
}

export interface Step {
  id: number;
  title: string;
  instructions: string;
  task_id: number;
  order: number;
  print_count: number;
  last_printed_at: string | null;
  created_at: string;
  updated_at: string;
}

export interface Image {
  id: number;
  step_id: number;
  original_path: string;
  bw_path: string;
  order: number;
  created_at: string;
  updated_at: string;
}