import { Knex } from 'knex';
import { Task, Step } from '../db/types';
export { TestPrinter } from './test-printer';

// This will be replaced with a real printer implementation later
const printer = new TestPrinter();

export async function printTask(task: Task, db: Knex): Promise<void> {
  await printer.printTask(db, task);
}

export async function printStep(step: Step, db: Knex): Promise<void> {
  await printer.printStep(db, step);
}